Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util.resource
Interface ResourceFactory

All Known Implementing Classes:
  DefaultServlet, FileResource, JarResource, Resource, ResourceCollection, URLResource

    public interface ResourceFactory

ResourceFactory.

Method Summary
`Resource` | `getResource(java.lang.String path)` Get a resource for a path.

Method Detail

### getResource

    Resource getResource(java.lang.String path)

  Get a resource for a path.

  Parameters:
    `path` - The path to the resource
  Returns:
    The resource or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.